Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Contributor
DaBlessing
Posts: 22
Registered: ‎05-26-2011
My Device: Blackberry Z10
My Carrier: T-Mobile

Re: Please help, New Developer here with app issue

One more tidbit of info: I had one user send me a screenshot of her permission screen for my app. My app requests permission for Location Services, GPS location and Internet. Her screenshot only shows the permissions for GPS location and location services. Why doesn't it show Internet permissions?

I actually checked mine running on my device (which works by the way) and it doesn't show the internet permissions either.
Please use plain text.
Developer
strobejb
Posts: 276
Registered: ‎10-15-2012
My Device: bb10 developer
My Carrier: Orange

Re: Please help, New Developer here with app issue

Possibly you are using a new API / feature / QML attribute that was not supported in 10.0.x - it could be that your app is trying to load your QML userinterface, and failing because its using a feature that isn't supported.

Internet permission is inherently granted - every app has it, so it is not displayed in an app's permissions.
Please use plain text.
Contributor
DaBlessing
Posts: 22
Registered: ‎05-26-2011
My Device: Blackberry Z10
My Carrier: T-Mobile

Re: Please help, New Developer here with app issue

Thank you for the help. So how do I fix the issue? Do I need to download a previous version of the Cascades NDK that is prior to 10.1? I thought I had it fixed by downloading a new Target OS and selecting that in the bar-descriptor.xml. Originally i had it set to target sdk. I changed it to the oldest OS i could find, which is 10.0.9.2743.

Is this not correct?
Please use plain text.
Contributor
DaBlessing
Posts: 22
Registered: ‎05-26-2011
My Device: Blackberry Z10
My Carrier: T-Mobile

Re: Please help, New Developer here with app issue

Untitled-2 copy.jpg

 

This is exactly how my QNX IDE appears.  Does everything look set up correctly?

Please use plain text.
Contributor
DaBlessing
Posts: 22
Registered: ‎05-26-2011
My Device: Blackberry Z10
My Carrier: T-Mobile

Re: Please help, New Developer here with app issue

Basically, it is starting to appear that users with OS variants prior to 10.0.10.822 are not going to get this application to work? That is extremely sad because I believe only AT&T has a 10.0.10.822 or higher OS out there. I'm pretty sure Verizon and T-mobile are both on OS's prior to that.
Please use plain text.
Developer
Zymatic
Posts: 144
Registered: ‎12-18-2010
My Device: Limited Edition Z10 & Blackberry Playbook
My Carrier: Rogers Wireless

Re: Please help, New Developer here with app issue


DaBlessing wrote:
Basically, it is starting to appear that users with OS variants prior to 10.0.10.822 are not going to get this application to work? That is extremely sad because I believe only AT&T has a 10.0.10.822 or higher OS out there. I'm pretty sure Verizon and T-mobile are both on OS's prior to that.

Do not forget that the US is not the only place where these phones are available.  I believe that most of the rest of the world has received updates for 10.1.  And if not 10.1 definately 10.0.10.822.

 

Also, One of the previous posters  asked if you were using features that were specific to 10.0.10 and you never really answered.  On the developer site the API Reference gives a version number that the features are available in.  Might be worth checking into that before you give up.  There are NDK versioning macros that you might be able to handle these cases if you find a feature you are using is not available in earlier sdks.

 

Playbook Apps:
Touch Painter, LinkShrink

BB10 Apps:
NoteToSelf , LinkShrink
Please use plain text.
Contributor
DaBlessing
Posts: 22
Registered: ‎05-26-2011
My Device: Blackberry Z10
My Carrier: T-Mobile

Re: Please help, New Developer here with app issue

Thank you for the reply. I must admit, I am a very very brand new developer. I learned cascades about 2 weeks ago and built my app. I'm still very much in the learning process so trying to find out what part of my app built in the 10.1 NDK is not compatible with the 10.0 is very tough. I'm trying to find the information ont the 10.1 ndk that is new so that maybe i can see what the issue was.

However, Shouldn't I just be able to select the update native sdk button in the QNX IDE and select the oldest SDK available (10.0.9.2372) and then repackage my application for release using that NDK? If I do that, shouldn't the app work on any OS after 10.0.9.2372?

Please use plain text.
Developer
Zymatic
Posts: 144
Registered: ‎12-18-2010
My Device: Limited Edition Z10 & Blackberry Playbook
My Carrier: Rogers Wireless

Re: Please help, New Developer here with app issue


DaBlessing wrote:
However, Shouldn't I just be able to select the update native sdk button in the QNX IDE and select the oldest SDK available (10.0.9.2372) and then repackage my application for release using that NDK? If I do that, shouldn't the app work on any OS after 10.0.9.2372?


Well no, not  if you were using some features that aren't supported on that OS version.  It is possible for your QML to have errors and your application will still build and package, but not run.  So if you were using something in QML that isn't supported on 10.0.9 you wouldn't necessarily know it until running on a phone with that OS version.

 

Maybe giving some more info about what the app does or providing a link to the app world page so we can download it will help trouble shoot the issue.

Playbook Apps:
Touch Painter, LinkShrink

BB10 Apps:
NoteToSelf , LinkShrink
Please use plain text.
Contributor
DaBlessing
Posts: 22
Registered: ‎05-26-2011
My Device: Blackberry Z10
My Carrier: T-Mobile

Re: Please help, New Developer here with app issue

My app is just a groupon app. It uses webview to package the groupon website into a native cascades shell. The app uses primarily the WebView signal to call the webpages need. I used basic Cascades Sheets to call each different page.

Is there a defined list of what new QML coding is available in 10.1 so I can cross reference that with my main.qml to see if there is an issue?
Please use plain text.
Developer
Innovatology
Posts: 1,280
Registered: ‎03-03-2011
My Device: Playbook, Z10, Q10, Z30 with Files & Folders and Orbit of course
My Carrier: Vodafone

Re: Please help, New Developer here with app issue

You could try running your app on one of the 10.0 simulators or install 10.0 on your device using an autoloader (look for the "10.0.10.263" link), 

Files & Folders, the unified file & cloud manager for PlayBook and BB10 with SkyDrive, SugarSync, Box, Dropbox, Google Drive, Google Docs. Free 3-day trial! - Jon Webb - Innovatology - Utrecht, Netherlands
Please use plain text.